dbXML API

## com.dbxml.util
Class SoftHashMap

    java.lang.Object
      java.util.AbstractMap
          com.dbxml.util.SoftHashMap

All Implemented Interfaces:
  java.util.Map

public final class SoftHashMap
extends java.util.AbstractMap

SoftHashMap

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`SoftHashMap()`

Method Summary
`void` `clear()`
`java.util.Set` `entrySet()`
`java.lang.Object` `get(java.lang.Object key)`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` `remove(java.lang.Object key)`
`int` `size()`

Methods inherited from class java.util.AbstractMap
`containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoftHashMap

    public SoftHashMap()

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

### remove

    public java.lang.Object remove(java.lang.Object key)

### clear

    public void clear()

### size

    public int size()

### entrySet

    public java.util.Set entrySet()

dbXML API

Copyright (c) 2004 The dbXML Group